<?php
  if( $_POST['usr'] && $_POST['id'] ){
?>
  <?php
    $position     = '../../../../';

    require_once($position.'../switch/access.php');
    require_once($position.'assets/global.php');
    require_once($position.'assets/session.php');

    //Variables
    $usr      = $_POST['usr'];
    $resid    = $_POST['resid'];
    $id       = $_POST['id'];

    //Respuestas
    $query = "
      SELECT
        pre.id,
        pre.pregunta
      FROM encuestas_preguntas pre
      WHERE
        pre.fk_encuesta = '$id'
      ORDER BY pre.orden ASC
    ";
    $Preguntas = mysqli_query($mysqli, $query);
    mysqli_data_seek($Preguntas, 0);
    while($Pre = mysqli_fetch_array($Preguntas)) {

      //Respuesta
      $query = "
        SELECT
          res.id,
          res.respuesta
        FROM encuestas_respuestas_preguntas res
  			WHERE
          res.fk_usuario = '$usr'
          AND res.fk_pregunta = '$Pre[id]'
          AND res.fk_encuesta_respuesta = '$resid'
  		";
      $result  = mysqli_query($mysqli, $query);
      $res   = mysqli_fetch_assoc($result);
  ?>
    <div class="text-left">
      <p>
        <h5><?php echo $Pre[pregunta]; ?></h5>
        <?php
          $myArray = explode('|', $res[respuesta]);
          foreach ($myArray as $Resp) {
            echo '- '.$Resp."<br>";
          }
          // echo $res[respuesta];
        ?>
      </p>
      <hr>
    </div>
  <?php } ?>
<?php } ?>
